For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
        • GETGet settings
        • PATCHUpdate settings
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAgentsWorkspaceSettings

Update settings

PATCH
/v1/convai/settings
PATCH
/v1/convai/settings
$curl -X PATCH https://api.elevenlabs.io/v1/convai/settings \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "conversation_initiation_client_data_webhook": {
3 "url": "https://hooks.exampleworkspace.com/convai/initiate",
4 "request_headers": {
5 "Content-Type": "application/json"
6 }
7 },
8 "webhooks": {
9 "post_call_webhook_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
10 "events": [
11 "transcript"
12 ],
13 "transcript_format": "json",
14 "send_audio": true
15 },
16 "can_use_mcp_servers": false,
17 "rag_retention_period_days": 10,
18 "conversation_embedding_retention_days": 7,
19 "default_livekit_stack": "standard"
20}
Update Convai settings for the workspace
Was this page helpful?
Previous

Get secrets

Next
Built with

Headers

xi-api-keystringOptional

Request

This endpoint expects an object.
conversation_initiation_client_data_webhookobject or nullOptional
webhooksobjectOptional
can_use_mcp_serversbooleanOptionalDefaults to false
Whether the workspace can use MCP servers
rag_retention_period_daysintegerOptional<=30Defaults to 10
conversation_embedding_retention_daysinteger or nullOptional<=365

Days to retain conversation embeddings. None means use the system default (30 days).

default_livekit_stackenumOptionalDefaults to standard
Allowed values:

Response

Successful Response
conversation_initiation_client_data_webhookobject or null
webhooksobject
can_use_mcp_serversbooleanDefaults to false
Whether the workspace can use MCP servers
rag_retention_period_daysinteger<=30Defaults to 10
conversation_embedding_retention_daysinteger or null<=365

Days to retain conversation embeddings. None means use the system default (30 days).

default_livekit_stackenumDefaults to standard
Allowed values:

Errors

422
Unprocessable Entity Error